I tried to upgrade the Elasticsearch to 7.16.2 and it’s working fine but Logstash upgrade to 7.16.2 still not working with upgraded elastic. I am getting below error with it, I tried to troubleshoot the issue but it’s still the same

[2022-04-22T04:24:45,425][WARN ][deprecation.logstash.filters.json] Relying on default value of pipeline.ecs_compatibility, which may change in a future major release of Logstash. To avoid unexpected changes when upgrading Logstash, please explicitly declare your desired ECS Compatibility mode.
[2022-04-22T04:24:45,427][WARN ][deprecation.logstash.filters.json] Relying on default value of pipeline.ecs_compatibility, which may change in a future major release of Logstash. To avoid unexpected changes when upgrading Logstash, please explicitly declare your desired ECS Compatibility mode.
[2022-04-22T04:24:45,428][WARN ][deprecation.logstash.filters.json] Relying on default value of pipeline.ecs_compatibility, which may change in a future major release of Logstash. To avoid unexpected changes when upgrading Logstash, please explicitly declare your desired ECS Compatibility mode.
[2022-04-22T04:24:45,429][WARN ][deprecation.logstash.filters.json] Relying on default value of pipeline.ecs_compatibility, which may change in a future major release of Logstash. To avoid unexpected changes when upgrading Logstash, please explicitly declare your desired ECS Compatibility mode.
[2022-04-22T04:24:45,429][WARN ][deprecation.logstash.filters.json] Relying on default value of pipeline.ecs_compatibility, which may change in a future major release of Logstash. To avoid unexpected changes when upgrading Logstash, please explicitly declare your desired ECS Compatibility mode.
[2022-04-22T04:24:45,429][WARN ][deprecation.logstash.filters.grok] Relying on default value of pipeline.ecs_compatibility, which may change in a future major release of Logstash. To avoid unexpected changes when upgrading Logstash, please explicitly declare your desired ECS Compatibility mode.
[2022-04-22T04:24:45,535][INFO ][logstash.javapipeline ] Starting pipeline {:pipeline_id=>"main", "pipeline.workers"=>4, "pipeline.batch.size"=>125, "pipeline.batch.delay"=>50, "pipeline.max_inflight"=>500, "pipeline.sources"=>["/etc/logstash/conf.d/iot.conf"], :thread=>"#<Thread:0x8881ce3 run>"}
[2022-04-22T04:24:47,918][INFO ][logstash.javapipeline ] Pipeline Java execution initialization time {"seconds"=>2.38}
[2022-04-22T04:24:47,951][WARN ][deprecation.logstash.codecs.json] Relying on default value of pipeline.ecs_compatibility, which may change in a future major release of Logstash. To avoid unexpected changes when upgrading Logstash, please explicitly declare your desired ECS Compatibility mode.
[2022-04-22T04:24:53,307][ERROR][logstash.javapipeline ] Pipeline error {:pipeline_id=>"main", :exception=>java.lang.IllegalStateException: failed to create a child event loop, :backtrace=>["io.netty.util.concurrent.MultithreadEventExecutorGroup.(io/netty/util/concurrent/MultithreadEventExecutorGroup.java:88)", "io.netty.util.concurrent.MultithreadEventExecutorGroup.(io/netty/util/concurrent/MultithreadEventExecutorGroup.java:60)", "io.netty.util.concurrent.MultithreadEventExecutorGroup.(io/netty/util/concurrent/MultithreadEventExecutorGroup.java:49)", "io.netty.channel.MultithreadEventLoopGroup.(io/netty/channel/MultithreadEventLoopGroup.java:59)", "io.netty.channel.nio.NioEventLoopGroup.(io/netty/channel/nio/NioEventLoopGroup.java:86)", "io.netty.channel.nio.NioEventLoopGroup.(io/netty/channel/nio/NioEventLoopGroup.java:81)", "io.netty.channel.nio.NioEventLoopGroup.(io/netty/channel/nio/NioEventLoopGroup.java:68)", "org.logstash.plugins.inputs.http.NettyHttpServer.(org/logstash/plugins/inputs/http/NettyHttpServer.java:40)", "jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)", "jdk.internal.reflect.NativeConstructorAccessorImpl.newInstance(jdk/internal/reflect/NativeConstructorAccessorImpl.java:62)", "jdk.internal.reflect.DelegatingConstructorAccessorImpl.newInstance(jdk/internal/reflect/DelegatingConstructorAccessorImpl.java:45)", "java.lang.reflect.Constructor.newInstance(java/lang/reflect/Constructor.java:490)", "org.jruby.javasupport.JavaConstructor.newInstanceDirect(org/jruby/javasupport/JavaConstructor.java:253)", "org.jruby.RubyClass.newInstance(org/jruby/RubyClass.java:939)", "org.jruby.RubyClass$INVOKER$i$newInstance.call(org/jruby/RubyClass$INVOKER$i$newInstance.gen)", "usr.share.logstash.vendor.bundle.jruby.$2_dot_5_dot_0.gems.logstash_minus_input_minus_http_minus_3_dot_4_dot_4_minus_java.lib.logstash.inputs.http.create_http_server(/usr/share/logstash/vendor/bundle/jruby/2.5.0/gems/logstash-input-http-3.4.4-java/lib/logstash/inputs/http.rb:256)", "usr.share.logstash.vendor.bundle.jruby.$2_dot_5_dot_0.gems.logstash_minus_input_minus_http_minus_3_dot_4_dot_4_minus_java.lib.logstash.inputs.http.register(/usr/share/logstash/vendor/bundle/jruby/2.5.0/gems/logstash-input-http-3.4.4-java/lib/logstash/inputs/http.rb:148)", "usr.share.logstash.logstash_minus_core.lib.logstash.java_pipeline.register_plugins(/usr/share/logstash/logstash-core/lib/logstash/java_pipeline.rb:232)", "org.jruby.RubyArray.each(org/jruby/RubyArray.java:1821)", "usr.share.logstash.logstash_minus_core.lib.logstash.java_pipeline.register_plugins(/usr/share/logstash/logstash-core/lib/logstash/java_pipeline.rb:231)", "usr.share.logstash.logstash_minus_core.lib.logstash.java_pipeline.start_inputs(/usr/share/logstash/logstash-core/lib/logstash/java_pipeline.rb:390)", "usr.share.logstash.logstash_minus_core.lib.logstash.java_pipeline.start_workers(/usr/share/logstash/logstash-core/lib/logstash/java_pipeline.rb:315)", "usr.share.logstash.logstash_minus_core.lib.logstash.java_pipeline.run(/usr/share/logstash/logstash-core/lib/logstash/java_pipeline.rb:189)", "usr.share.logstash.logstash_minus_core.lib.logstash.java_pipeline.start(/usr/share/logstash/logstash-core/lib/logstash/java_pipeline.rb:141)", "org.jruby.RubyProc.call(org/jruby/RubyProc.java:318)", "java.lang.Thread.run(java/lang/Thread.java:829)"], "pipeline.sources"=>["/etc/logstash/conf.d/iot.conf"], :thread=>"#<Thread:0x8881ce3 run>"}
[2022-04-22T04:24:53,313][INFO ][logstash.javapipeline ] Pipeline terminated {"pipeline.id"=>"main"}
[2022-04-22T04:24:53,322][ERROR][logstash.agent ] Failed to execute action {:id=>:main, :action_type=>LogStash::ConvergeResult::FailedAction, :message=>"Could not execute action: PipelineAction::Create, action_result: false", :backtrace=>nil}
[2022-04-22T04:24:53,395][INFO ][logstash.runner ] Logstash shut down.
[2022-04-22T04:24:53,404][FATAL][org.logstash.Logstash ] Logstash stopped processing because of an error: (SystemExit) exit
org.jruby.exceptions.SystemExit: (SystemExit) exit
at org.jruby.RubyKernel.exit(org/jruby/RubyKernel.java:747) ~[jruby-complete-9.2.20.1.jar:?]
at org.jruby.RubyKernel.exit(org/jruby/RubyKernel.java:710) ~[jruby-complete-9.2.20.1.jar:?]
at usr.share.logstash.lib.bootstrap.environment.(/usr/share/logstash/lib/bootstrap/environment.rb:94) ~[?:?]